<?php
/**
 * Link         :   http://www.phpcorner.net
 * User         :   qingbing<780042175@qq.com>
 * Date         :   2018-10-27
 * Version      :   1.0
 */

namespace Test;

use Helper\FileManager;
use TestCore\Tester;

/**
 * Class TestUnit
 * @package Test
 */
class TestFileManager extends Tester
{
    /**
     * 执行函数
     * @return mixed|void
     * @throws \Exception
     */
    public function run()
    {
        // 通过文件名获取文件的 mime-type （常用）
        $mimeType = FileManager::getMimeType('bootstrap.php');
        var_dump($mimeType);

        // 通过文件的后缀获取文件的 mime-type
        $mimeType = FileManager::getMimeTypeByExtension('gg.png');
        var_dump($mimeType);

        // 创建文件（递归）
        $status = FileManager::mkdir('upload/good/xx/dd', null, true);
        var_dump($status);

        // 删除文件(递归)
        $status = FileManager::rmdir('upload/good', true);
        var_dump($status);

        // 获取文件后缀
        $ext = FileManager::getExtension('xxx.php');
        var_dump($ext);

        // 拷贝文件目录
        $rootPath = dirname(dirname(__DIR__));
        $status = FileManager::copyDir($rootPath . "/test", $rootPath . "/vendor/dddd");
        var_dump($status);

        // 拷贝文件
        $status = FileManager::copyFile($rootPath . "/test/bootstrap.php", $rootPath . "/vendor/xxxx.php");
        var_dump($status);

        // 查找文件目录中的文件
        $list = FileManager::findFiles($rootPath . "/test", [
            'absolutePaths' => false,
        ]);
        var_dump($list);
    }
}